Oracle Java Dependencies in Kaseya VSA

Background 

Kaseya VSA has a dependency on Oracle Java v8. 

Starting in April 2019, Oracle changed its license terms so that the latest updates to Java 8 are no longer free for commercial users. 

Do I need to purchase Oracle licenses? 

The VSA installer deploys Java version 8 update 131 (released April 2017), which does not require a license. 

Update 221 (releaseJuly 2019) and above are subject to new Oracle licensing terms. 

Note  The latest updates may include important security updates. 

Further information 

Kaseya is in the process of replacing Oracle Java with Open JDKPlanned GA release timeframe for this is Q1, 2020. After this, Oracle Java will no longer need to be installed on the VSA server. 

Was this article helpful?
1 out of 2 found this helpful
Have more questions? Contact us